$(function(){

	var T1 = false;
	var T2 = false;
	var grados1;
	var grados2;
	var temp1;

	$("#Convertir").click(function(){
		grados1 = $("#T1").text();
		grados2 = $("#T2").text();
		temp1 = $("#Temperatura1").val();

		if(grados1 == "°C" && grados2 == "°F"){
			//Celsius-Fahrenheit
			if(temp1 >= 0 && temp1 <= 100){
				var res = ($("#Temperatura1").val() * 9/5) + 32;
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 0-100");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°C" && grados2 == "°K"){
			//Celsius-Kelvin
			if(temp1 >= 0 && temp1 <= 100){
				var res = ($("#Temperatura1").val() + 273.15);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 0-100");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°C" && grados2 == "°Rankine"){
			//Celsius-Rankine
			if(temp1 >= 0 && temp1 <= 100){
				var res = ($("#Temperatura1").val() * 1.8) + 32 + 459.67;
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 0-100");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°C" && grados2 == "°Réaumur"){
			//Celsius-Réaumur
			if(temp1 >= 0 && temp1 <= 100){
				var res = ($("#Temperatura1").val() * 0.8);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 0-100");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}	
		else if(grados1 == "°F" && grados2 == "°C"){
			//Fahrenheit a Celsius
			if(temp1 >= 32 && temp1 <= 212){
				var res = ($("#Temperatura1").val() - 32) * 5/9;
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 32-212");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°F" && grados2 == "°Kelvin"){
			//Fahrenheit a Kelvin
			if(temp1 >= 32 && temp1 <= 212){
				var res = ($("#Temperatura1").val() + 459.67) / 1.8;
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 32-212");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°F" && grados2 == "°Rankine"){
			//Fahrenheit a Rankine
			if(temp1 >= 32 && temp1 <= 212){
				var res = ($("#Temperatura1").val() + 459.67);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 32-212");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°F" && grados2 == "°Réaumur"){
			//Fahrenheit a Réaumur
			if(temp1 >= 32 && temp1 <= 212){
				var res = ($("#Temperatura1").val() - 32) / 2.25;
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 32-212");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°K" && grados2 == "°C"){
			//Kelvin-Celsius
			if(temp1 >= 273.15 && temp1 <= 373.15){
				var res = ($("#Temperatura1").val() - 273.15);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 273.15-373.15");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°K" && grados2 == "°F"){
			//Kelvin-Fahrenheit
			if(temp1 >= 273.15 && temp1 <= 373.15){
				var res = ($("#Temperatura1").val() * 1.8) - 459.67;
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 273.15-373.15");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°K" && grados2 == "°Rankine"){
			//Kelvin-Rankine
			if(temp1 >= 273.15 && temp1 <= 373.15){
				var res = ($("#Temperatura1").val() * 1.8);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 273.15-373.15");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°K" && grados2 == "°Réaumur"){
			//Kelvin-Réaumur
			if(temp1 >= 273.15 && temp1 <= 373.15){
				var res = ($("#Temperatura1").val() - 273.15) * 0.8;
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 273.15-373.15");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}

		}
		else if(grados1 == "°Rankine" && grados2 == "°C"){
			//Rankine-Celsius
			if(temp1 >= 491.67 && temp1 <= 671.67){
				var res = ($("#Temperatura1").val() - 32 - 459.67) * 1.8;
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 491.67-671.67");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°Rankine" && grados2 == "°F"){
			//Rankine-Fahrenheit
			if(temp1 >= 491.67 && temp1 <= 671.67){
				var res = ($("#Temperatura1").val() - 459.67);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 491.67-671.67");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°Rankine" && grados2 == "°K"){
			//Rankine-Kelvin
			if(temp1 >= 491.67 && temp1 <= 671.67){
				var res = ($("#Temperatura1").val() / 1.8);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 491.67-671.67");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°Rankine" && grados2 == "°Réaumur"){
			//Rankine-Réaumur
			if(temp1 >= 491.67 && temp1 <= 671.67){
				var res = ($("#Temperatura1").val() - 32 - 459.67) / 2.25;
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 491.67-671.67");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°Réaumur" && grados2 == "°C"){
			//Réaumur-Celsius
			if(temp1 >= 0 && temp1 <= 80){
				var res = ($("#Temperatura1").val() * 1.25);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 0-80");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°Réaumur" && grados2 == "°F"){
			//Réaumur-Fahrenheit
			if(temp1 >= 0 && temp1 <= 80){
				var res = ($("#Temperatura1").val() * 2.25 + 32);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 0-80");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°Réaumur" && grados2 == "°K"){
			//Réaumur-Kelvin
			if(temp1 >= 0 && temp1 <= 80){
				var res = ($("#Temperatura1").val() * 1.25 + 273.15);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 0-80");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == "°Réaumur" && grados2 == "°Rankine"){
			//Réaumur-Rankine
			if(temp1 >= 0 && temp1 <= 80){
				var res = ($("#Temperatura1").val() * 2.25 + 32 + 459.67);
				$("#Temperatura2").val(res);
				drawScale($("#Temperatura1").val(), Math.round(res));
			}
			else{
				alert("La escala debe estar entre 0-80");
				$("#Temperatura2").val("");
				$("#valueTemp1").text("");
				$("#valueTemp2").text("");
			}
		}
		else if(grados1 == grados2){
			//Réaumur-Rankine
			var res = $("#Temperatura1").val();
			$("#Temperatura2").val(res);
			drawScale($("#Temperatura1").val(), Math.round(res));
		}
	});

	$("#T1").click(function(){
		banT1 = true;
		banT2 = false;
		$("#containerSimbol").fadeIn(400).css({
			"top": (this.offsetTop + 100) +"px",
			"left": this.offsetLeft+"px"
		});
	});

	$("#T2").click(function(){
		banT2 = true;
		banT1 = false;
		$("#containerSimbol").fadeIn(400).css({
			"top": (this.offsetTop + 270) +"px",
			"left": this.offsetLeft+"px"
		});
	});

	$(".s").click(function(){
		if(banT1){
			$("#T1").text($(this).text());
		}
		else if(banT2){
			$("#T2").text($(this).text());
		}
		$("#containerSimbol").fadeOut(400);
	});

	$("#Temperatura1").keyup(function(){
			if($(this).val() == ""){
				$("#Convertir").attr("disabled", true);
			}
			else{
				$("#Convertir").attr("disabled", false);
			}
	})
	.focus(function(){
			$("#containerSimbol").fadeOut(400);
	});

	function drawScale(scale1, scale2){
		$("#valueTemp1").text(scale1+"°");
		$("#valueTemp2").text(scale2+"°");
	}
});